Bug 456213 - Consider using "Minimize All" as the default behavior/widget, rather than "Show Desktop"
Summary: Consider using "Minimize All" as the default behavior/widget, rather than "Sh...
Status: CONFIRMED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Show Desktop/Minimize All (show other bugs)
Version: master
Platform: Other Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: usability
Depends on: 435253 450137
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-01 16:36 UTC by coduh
Modified: 2022-07-19 14:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description coduh 2022-07-01 16:36:14 UTC
With the current default behavior, double clicking item on desktop maximizes all the other apps in the background which is kind of annoying as explained here:

https://askubuntu.com/questions/1416806/kde-double-clicking-on-folder-opens-the-last-application/1416808?noredirect=1#comment2464164_1416808

I had to do Show Alternatives -> Minimize All to get the desired behavior which is what I'm used to from every other DE. Please change the default behavior to Minimize All.

Thanks!

SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1. 
2. 
3. 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2022-07-05 17:10:05 UTC
> I had to do Show Alternatives -> Minimize All to get the desired behavior which is what I'm used to from every other DE. Please change the default behavior to Minimize All.

So the problem is that your expectations were something else based on prior experience? It's not that there's anything actually wrong with the default "Show Desktop" behavior, it's just that you prefer the behavior of "Minimize All", right?
Comment 2 coduh 2022-07-10 06:17:34 UTC
(In reply to Nate Graham from comment #1)
> > I had to do Show Alternatives -> Minimize All to get the desired behavior which is what I'm used to from every other DE. Please change the default behavior to Minimize All.
> 
> So the problem is that your expectations were something else based on prior
> experience? It's not that there's anything actually wrong with the default
> "Show Desktop" behavior, it's just that you prefer the behavior of "Minimize
> All", right?

Hi Nate,

Thanks for your time.

Yes, it is based on my prior experience, with every other DE that exists :) The little button on the bottom right minimizes all windows. To be honest, if it was me, I wouldn't even keep the current behavior as a second option. I would just remove it. When I think I'm on desktop, I open something and every other thing is maximized back. To me it doesn't make sense, like how is this useful? Maybe I'm missing something.

Thanks again.
Comment 3 Nate Graham 2022-07-12 16:38:47 UTC
It's useful for quickly peeking at the desktop, or for dragging something on the desktop into an app. macOS implements this, so it's familiar to people migrating from macOS, I guess. I can understand how if you come from Windows or another Linux DE, it's less familiar.

Part of the issue may be the naming; see https://invent.kde.org/teams/usability/issue-board/-/issues/12
Comment 4 Bug Janitor Service 2022-07-12 17:19:48 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1036
Comment 5 Nate Graham 2022-07-14 17:35:37 UTC
Git commit 890b3862ba1cc7d6507f9e635a35904aba0f90cc by Nate Graham.
Committed on 14/07/2022 at 17:34.
Pushed by ngraham into branch 'master'.

applets/showdesktop: rename it "Peek at Desktop"

This applet sometimes causes user confusion because people coming from
platforms where the equivalent functionality minimizes all windows
expect it to do the same thing here. But it does not, and its name and
subtitle are sufficiently generic-sounding that they don't really
describe what it does instead.

Let's change the text to be clearer.

See also https://invent.kde.org/teams/usability/issue-board/-/issues/12

M  +2    -2    applets/showdesktop/package/contents/ui/main.qml
M  +2    -2    applets/showdesktop/package/metadata.json
M  +2    -2    doc/plasma-desktop/index.docbook

https://invent.kde.org/plasma/plasma-desktop/commit/890b3862ba1cc7d6507f9e635a35904aba0f90cc
Comment 6 coduh 2022-07-16 06:10:38 UTC
Yes, the other requests propose good ideas. Renaming to "Peek at Desktop" might be a solution, but I would still make "Minimize All" the default case. Looks like we need to make "Show Alternatives" more discoverable either way. Maybe add it to the description that says "Show the Plasma desktop"?